package com.liangjian.dataplatform.member.service;

import com.liangjian.dataplatform.member.entity.po.secondary.MemIngProduct;
import org.springframework.data.domain.Page;

/**
 * @Author: 黄子奇
 * @Date: 2019/11/19
 */
public interface IMemIngProductService {

    //无登陆获取分页商品
    Page<MemIngProduct> queryProduct(Integer page, Integer size);

    //根据openid查询分页商品
    Page<MemIngProduct> queryProduct(String openid,Integer page, Integer size);

    //根据手机密文查询分页商品
    Page<MemIngProduct> queryProductByPhone(String secretPhone,Integer page, Integer size);

    Page<MemIngProduct> queryByLevel(String levelId, Integer page, Integer size);
}
